aboutsummaryrefslogtreecommitdiffstats
path: root/src/scripts/ci/circle/gcc-sanitizer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/scripts/ci/circle/gcc-sanitizer.sh')
-rwxr-xr-xsrc/scripts/ci/circle/gcc-sanitizer.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/scripts/ci/circle/gcc-sanitizer.sh b/src/scripts/ci/circle/gcc-sanitizer.sh
new file mode 100755
index 000000000..33d474fc6
--- /dev/null
+++ b/src/scripts/ci/circle/gcc-sanitizer.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -ev
+which shellcheck > /dev/null && shellcheck "$0" # Run shellcheck on this if available
+
+BUILD_NICKNAME=$(basename "$0" .sh)
+BUILD_DIR="./build-$BUILD_NICKNAME"
+
+# Adding Ubsan here, only added in GCC 4.9
+./configure.py --with-build-dir="$BUILD_DIR" --with-debug-info --with-sanitizer --cc-abi-flags='-fsanitize=undefined'
+make -j 2 -f "$BUILD_DIR"/Makefile
+"$BUILD_DIR"/botan-test